

Name:           ffnvcodec
Version:        12.1.14.0
Release:        %mkrel 1
Summary:        FFmpeg version of NVIDIA codec API headers
License:        MIT
Group:          Development/Libraries
URL:            https://github.com/FFmpeg/nv-codec-headers/releases
Source:         nv-codec-headers-%{version}.tar.gz
BuildRequires:  pkgconfig

%description
This package contains the headers required for FFmpeg to interface
with NVIDIA codec APIs.

%package -n %{name}-devel
Summary:        FFmpeg version of NVIDIA codec API headers
Group:          Development/Libraries

%description -n %{name}-devel
This package contains the headers required for FFmpeg to interface
with NVIDIA codec APIs.

%prep
%setup -q -n nv-codec-headers-%{version}

%build

%install
make PREFIX=%{_prefix} LIBDIR=%{_lib} DESTDIR=%{buildroot} install

%files -n %{name}-devel
%doc README
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Mar 19 2024 yodelu - 12.1.14.0-1pclos2024
- new version

* Mon Jun 15 2020 tex - 9.1.23.2-1pclos2020
- new version

* Tue Aug 06 2019 tex - 9.0.18.1-1pclos2019
- new version
